#!/bin/sh

F_WITH_SBR=`grep -C 1 '(sbr' *.F | grep function \
    | awk '{print $4}' | awk -F\( '{print $1}' | sort`
SUB_WITH_SBR=`grep -C 1 '(sbr' *.F | grep subroutine \
    | awk '{print $3}' | awk -F\( '{print $1}' | sort`

for fun in $F_WITH_SBR; do
    TODO="grep -E '$fun|$fun\(' *.F \
            | grep -v '$fun[ ,]' | grep -v ', $fun' \
            | grep -v '.F:C' \
            | grep -v 'function $fun'
            | grep -Ev '$fun\(sbr' \
            | grep -E '$fun\('"
    PB=`eval $TODO`
    if test -n "$PB"; then
        echo "$fun:"
        echo $PB
        echo
    fi
done

for sub in $SUB_WITH_SBR; do
    TODO="grep -Ew 'call $sub\(' *.F \
            | grep -Ev '$sub\(sbr'"
    PB=`eval $TODO`
    if test -n "$PB"; then
        echo "$sub:"
        echo $PB
        echo
    fi
done

exit 0
